[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Bug#1001342: genshi: autopkgtest fails with python3.10



Source: genshi
Version: 0.7.5-1
Severity: serious
X-Debbugs-CC: debian-ci@lists.debian.org
Tags: sid bookworm
User: debian-ci@lists.debian.org
Usertags: needs-update
Control: affects -1 src:python3-defaults

Dear maintainer(s),

With a recent upload of python3-defaults the autopkgtest of genshi fails in testing when that autopkgtest is run with the binary packages of python3-defaults from unstable. It passes when run with only packages from testing. In tabular form:

                       pass            fail
python3-defaults       from testing    3.9.8-1
genshi                 from testing    0.7.5-1
all others             from testing    from testing

I copied some of the output at the bottom of this report.

Currently this regression is blocking the migration of python3-defaults to testing [1].

More information about this bug and the reason for filing it can be found on
https://wiki.debian.org/ContinuousIntegration/RegressionEmailInformation

Paul

[1] https://qa.debian.org/excuses.php?package=python3-defaults

https://ci.debian.net/data/autopkgtest/testing/amd64/g/genshi/17376869/log.gz

======================================================================
FAIL: test_not_iterable (genshi.template.tests.directives.ForDirectiveTestCase)
Verify that assignment to nested tuples works correctly.
----------------------------------------------------------------------
Traceback (most recent call last):
File "/tmp/autopkgtest-lxc.rxnv_rj_/downtmp/build.okQ/src/genshi/template/tests/directives.py", line 489, in test_not_iterable
    list(tmpl.generate(foo=12))
TypeError: 'int' object is not iterable

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File "/tmp/autopkgtest-lxc.rxnv_rj_/downtmp/build.okQ/src/genshi/template/tests/directives.py", line 505, in test_not_iterable
    self.assertEqual(2, frames[-1].tb_lineno)
AssertionError: 2 != -1

======================================================================
FAIL: test_error_access_undefined (genshi.template.tests.eval.ExpressionTestCase)
----------------------------------------------------------------------
Traceback (most recent call last):
File "/tmp/autopkgtest-lxc.rxnv_rj_/downtmp/build.okQ/src/genshi/template/tests/eval.py", line 444, in test_error_access_undefined
    expr.evaluate({})
genshi.template.eval.UndefinedError: "nothing" not defined

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File "/tmp/autopkgtest-lxc.rxnv_rj_/downtmp/build.okQ/src/genshi/template/tests/eval.py", line 458, in test_error_access_undefined
    self.assertEqual(50, frames[-3].tb_lineno)
AssertionError: 50 != -1

======================================================================
FAIL: test_error_getattr_undefined (genshi.template.tests.eval.ExpressionTestCase)
----------------------------------------------------------------------
Traceback (most recent call last):
File "/tmp/autopkgtest-lxc.rxnv_rj_/downtmp/build.okQ/src/genshi/template/eval.py", line 301, in lookup_attr
    val = getattr(obj, key)
AttributeError: 'Something' object has no attribute 'nil'

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File "/tmp/autopkgtest-lxc.rxnv_rj_/downtmp/build.okQ/src/genshi/template/eval.py", line 307, in lookup_attr
    val = obj[key]
TypeError: 'Something' object is not subscriptable

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File "/tmp/autopkgtest-lxc.rxnv_rj_/downtmp/build.okQ/src/genshi/template/tests/eval.py", line 467, in test_error_getattr_undefined
    expr.evaluate({'something': Something()})
genshi.template.eval.UndefinedError: <Something> has no member named "nil"

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File "/tmp/autopkgtest-lxc.rxnv_rj_/downtmp/build.okQ/src/genshi/template/tests/eval.py", line 482, in test_error_getattr_undefined
    self.assertEqual(50, frame.tb_lineno)
AssertionError: 50 != -1

======================================================================
FAIL: test_error_getitem_undefined_string (genshi.template.tests.eval.ExpressionTestCase)
----------------------------------------------------------------------
Traceback (most recent call last):
File "/tmp/autopkgtest-lxc.rxnv_rj_/downtmp/build.okQ/src/genshi/template/eval.py", line 318, in lookup_item
    return obj[key]
TypeError: 'Something' object is not subscriptable

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File "/tmp/autopkgtest-lxc.rxnv_rj_/downtmp/build.okQ/src/genshi/template/tests/eval.py", line 491, in test_error_getitem_undefined_string
    expr.evaluate({'something': Something()})
genshi.template.eval.UndefinedError: <Something> has no member named "nil"

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File "/tmp/autopkgtest-lxc.rxnv_rj_/downtmp/build.okQ/src/genshi/template/tests/eval.py", line 506, in test_error_getitem_undefined_string
    self.assertEqual(50, frame.tb_lineno)
AssertionError: 50 != -1

----------------------------------------------------------------------
Ran 886 tests in 1.020s

FAILED (failures=4)
Test failed: <unittest.runner.TextTestResult run=886 errors=0 failures=4>
**********************************************************************
WARNING:
An optional C extension could not be compiled, speedups will not be
available.
**********************************************************************
command '/usr/bin/x86_64-linux-gnu-gcc' failed with exit code 1
error: Test failed: <unittest.runner.TextTestResult run=886 errors=0 failures=4> ERROR: InvocationError for command /tmp/autopkgtest-lxc.rxnv_rj_/downtmp/build.okQ/src/.tox/py310/bin/python setup.py test (exited with code 1)

Attachment: OpenPGP_signature
Description: OpenPGP digital signature


Reply to: